<Manage::FieldContainer @title={{@title}} @isDisabled={{@isDisabled}} @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}} @value={{@value}} @onEdit={{@onEdit}} @onSave={{this.save}} @onCancel={{this.cancel}}
  class="manage-link-map" ...attributes>
  <:view>
    {{#unless this.hasValue}}
      <div class="alert alert-info" role="alert">
        {{"The list is empty."}}
      </div>
    {{/unless}}

    {{#each-in this.value as |source destination|}}
      <div class="mb-2 redirect-item">
        {{t 'from'}} <b>{{source}}</b> {{t "to"}}
        <b>{{destination.niceString}}</b>
      </div>
    {{/each-in}}
  </:view>

  <:edit>
    <Input::ListWithAdd {{did-insert this.createPairs}} class="mt-3" @plusLabel={{t "item"}} @value={{this.pairs}}
      @factoryValue={{this.factoryValue}} @onChange={{this.change}} as |value change|>
      <Input::LinkPair class="redirect-item" @onChange={{change}} @value={{value}} @space={{@space}} />
    </Input::ListWithAdd>
  </:edit>
</Manage::FieldContainer>